AbstractPerformInclude (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.chain.commands
Class AbstractPerformInclude

    java.lang.Object
      org.apache.struts.chain.commands.ActionCommandBase
          org.apache.struts.chain.commands.AbstractPerformInclude

All Implemented Interfaces:
  org.apache.commons.chain.Command, ActionCommand

Direct Known Subclasses:
  PerformInclude

    public abstract class AbstractPerformInclude

extends ActionCommandBase

Perform forwarding or redirection based on the specified `String` (if any).

Version:
  $Rev: 471754 $ $Date: 2005-06-04 10:58:46 -0400 (Sat, 04 Jun 2005) $

Field Summary

Fields inherited from interface org.apache.commons.chain.Command
`CONTINUE_PROCESSING, PROCESSING_COMPLETE`

Constructor Summary
`AbstractPerformInclude()`

Method Summary
`boolean` | `execute(ActionContext actionCtx)` Perform an include based on the specified include uri (if any).
`protected String` | `includePath(ActionContext actionContext, String include)` Returns the path to perform the include.
`protected abstract void` | `perform(ActionContext context, String include)` Perform the appropriate processing on the specified include uri.

Methods inherited from class org.apache.struts.chain.commands.ActionCommandBase
`execute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPerformInclude

    public AbstractPerformInclude()

Method Detail

### execute

    public boolean execute(ActionContext actionCtx)
                    throws Exception

  Perform an include based on the specified include uri (if any).

  Specified by:
    `execute` in interface `ActionCommand`
  Specified by:
    `execute` in class `ActionCommandBase`
  Parameters:
    `actionCtx` - The `Context` for the current request
  Returns:
    `true` so that processing completes
  Throws:
    `Exception` - if thrown by the `Action`

### includePath

    protected String includePath(ActionContext actionContext,
                                 String include)

  Returns the path to perform the include. Override this method to provide a different path.

  Parameters:
    `actionContext` - The context for this request
    `include` - The forward to be performed
  Since:
    Struts 1.3.6

### perform

    protected abstract void perform(ActionContext context,
                                    String include)
                             throws Exception

  Perform the appropriate processing on the specified include uri.

  Parameters:
    `context` - The context for this request
    `include` - The forward to be performed
  Throws:
    `Exception` - if thrown by the `Action`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.